import request from '@/utils/request'

// 查询 转办量、转办详情列表
export function listZbxq(query) {
  return request({
    url: '/tcZz/netWorkYq/zbxq/list',
    method: 'get',
    params: query
  })
}

// 查询 转办量、转办详情详细
export function getZbxq(id) {
  return request({
    url: '/tcZz/netWorkYq/zbxq/' + id,
    method: 'get'
  })
}

// 新增 转办量、转办详情
export function addZbxq(data) {
  return request({
    url: '/tcZz/netWorkYq/zbxq',
    method: 'post',
    data: data
  })
}

// 修改 转办量、转办详情
export function updateZbxq(data) {
  return request({
    url: '/tcZz/netWorkYq/zbxq',
    method: 'put',
    data: data
  })
}

// 删除 转办量、转办详情
export function delZbxq(id) {
  return request({
    url: '/tcZz/netWorkYq/zbxq/' + id,
    method: 'delete'
  })
}
//批量启用禁用
export function isStatusZbxq(params) {
  return request({
    url: '/tcZz/netWorkYq/zbxq/isStatus',
    method: 'get',
    params
  })
}
//通用导入信息
export function importZbxq(data) {
  return request({
    url: '/tcZz/netWorkYq/zbxq/common/importExcel',
    method: 'post',
    data
  })
}